import request from '@/utils/request'

// 获取培训课程列表
export function securitycourseList(query) {
  return request({
    url: '/exam/securitycourse/list',
    method: 'get',
    params: query
  })
}

// 获取培训课程详情
export function securitycourseInfo(id) {
  return request({
    url: '/exam/securitycourse/'+id,
    method: 'get',
  })
}

//获取详情学生列表
export function singList(query) {
  return request({
    url: '/exam/securitycourse/singList/',
    method: 'get',
    params: query
  })
}

//新增课程
export function securitycourseAdd(data) {
  return request({
    url: '/exam/securitycourse/',
    method: 'post',
    data: data
  })
}

//编辑课程
export function securitycourseEdit(data) {
  return request({
    url: '/exam/securitycourse/edit',
    method: 'post',
    data: data
  })
}

//删除课程
export function securitycourseDel(id) {
  return request({
    url: '/exam/securitycourse/'+id,
    method: 'delete',
  })
}

// 查询老师列表
export function selectUser(query) {
  return request({
    url: '/system/user/teacher/selectUser',
    method: 'get',
    params: query
  })
}

// 查询学院列表
export function departmentsList(query) {
  return request({
    url: '/system/dept/departments/list',
    method: 'get',
    params: query
  })
}

// 查询实验室列表
export function subListAdmin(query) {
  return request({
    url: '/laboratory/subject/list/listAdmin',
    method: 'get',
    params: query
  })
}

// 查询学生列表
export function findUserList(data) {
  return request({
    url: '/system/user/findStudenList',
    method: 'post',
    data: data
  })
}

//手持用户管理列表
export function pdaUserList(query) {
  return request({
    url: '/laboratory/pdaUser/list',
    method: 'get',
    params: query
  })
}

//手持用户新增
export function pdaUser(data) {
  return request({
    url: '/laboratory/pdaUser/',
    method: 'post',
    data: data
  })
}

//手持用户删除
export function pdaUserDel(id) {
  return request({
    url: '/laboratory/pdaUser/'+id,
    method: 'delete',
  })
}
